package com.ylcm.sys.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ylcm.sys.domain.AdPlatform;
import com.ylcm.sys.excel.model.AdPlatformImportDTO;
import com.ylcm.sys.form.AdPlatformForm;

/**
 * <p>
 * 栏目管理表 服务类
 * </p>
 *
 * @author admin
 * @since 2020-07-01
 */
public interface AdPlatformService extends IService<AdPlatform> {

	/**
	 *    根据栏目名获取一条信息
	 * @param name
	 * @param brandName 品牌
	 * @return
	 */
	AdPlatform getByName(String name);
	
	/**
	 *    根据栏目名与品牌获取唯一信息
	 * @param name
	 * @param brandName 品牌
	 * @return
	 */
	AdPlatform getByName(String name,String brandName);
	/**
	 *     批量导入
	 * @param
	 * @return
	 */
	String importBatch(List<AdPlatformImportDTO> importDTOs);
	
	/**
	 *    根据栏目名获取下拉条数
	 * @param name
	 * @return
	 */
	Integer getSelectPlatformNameTotal(String platformName);
	
	/**
	 *    根据栏目名获取下拉条数
	 * @param name
	 * @return
	 */
	List<String> getSelectPlatformNameList(String platformName, Integer pageNo, Integer pageSize);
	
	/**
	 *    根据栏目名获取内容下拉条数
	 * @param name
	 * @return
	 */
	Integer getBrandNameSelectTotalByName(String name);

	void updateByForm(AdPlatformForm adPlatformForm);
	
	/**
	 *    栏目删除
	 * @param id
	 * @return
	 */
	String deleteById(Integer id);
}
